Bug 1101450 - (CVE-2018-14345) VUL-0: CVE-2018-14345: sddm: unlock existing sessions without authentication if ReuseSession=true
(CVE-2018-14345)
VUL-0: CVE-2018-14345: sddm: unlock existing sessions without authentication ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: KDE Workspace (Plasma)
Leap 15.0
Other Other
: P3 - Medium : Major (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-17 11:56 UTC by Fabian Vogt
Modified: 2018-08-20 05:53 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2018-07-17 11:56:41 UTC
If sddm is configured with

[Users]
ReuseSession=true

the password is not checked for users with an already existing session.
Any user with access to the system dbus can therefore unlock any graphical session.

Fixed with https://github.com/sddm/sddm/commit/147cec383892d143b5e02daa70f1e7def50f5d98
Comment 4 Swamp Workflow Management 2018-07-17 15:30:10 UTC
This is an autogenerated message for OBS integration:
This bug (1101450) was mentioned in
https://build.opensuse.org/request/show/623488 Factory / sddm
Comment 5 Swamp Workflow Management 2018-08-05 10:00:12 UTC
This is an autogenerated message for OBS integration:
This bug (1101450) was mentioned in
https://build.opensuse.org/request/show/627517 15.0 / sddm
Comment 6 Swamp Workflow Management 2018-08-13 13:08:53 UTC
openSUSE-SU-2018:2310-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1099908,1101450
CVE References: CVE-2018-14345
Sources used:
openSUSE Leap 15.0 (src):    sddm-0.17.0-lp150.9.3.1
Comment 7 Marcus Meissner 2018-08-20 05:53:52 UTC
fixed